%define version 0.4
%define release %mkrel 10
%define pkgname jabberpy%{version}-0

Summary: Python jabber protocol module 
Name: python-jabber
Version: %{version} 
Release: %{release}
Source0: %{pkgname}.tar.bz2
License: LGPL
URL: http://jabberpy.sf.net/
Group: Development/Python
BuildRoot: %{_tmppath}/%{name}-%{version}-buildroot
BuildRequires: python-devel
BuildArch: noarch

%description
Python module for jabber protocol support.
You can write client or services with it.

%prep
%setup -q -n %{pkgname}

%build
CFLAGS="$RPM_OPT_FLAGS" python setup.py build

%install
rm -rf $RPM_BUILD_ROOT
python setup.py install --root=$RPM_BUILD_ROOT --record=INSTALLED_FILES

%clean
rm -rf $RPM_BUILD_ROOT

%files -f INSTALLED_FILES
%defattr(-,root,root)
%doc ChangeLog CREDITS README docs/ examples/ util/ 




%changelog
* Tue Sep 15 2009 Thierry Vignaud <tvignaud@mandriva.com> 0.4-10mdv2010.0
+ Revision: 442187
- rebuild

* Sat Jan 03 2009 Funda Wang <fundawang@mandriva.org> 0.4-9mdv2009.1
+ Revision: 323731
- rebuild

* Fri Aug 01 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.4-8mdv2009.0
+ Revision: 259650
- rebuild

* Fri Jul 25 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.4-7mdv2009.0
+ Revision: 247492
- rebuild

* Fri Dec 21 2007 Olivier Blin <oblin@mandriva.com> 0.4-5mdv2008.1
+ Revision: 136450
- restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request


* Wed Dec 20 2006 Nicolas Lécureuil <neoclust@mandriva.org> 0.4-5mdv2007.0
+ Revision: 100500
- Rebuild against new python
- Import python-jabber

* Fri Dec 16 2005 Michael Scherer <misc@mandriva.org> 0.4-4mdk
- Rebuild
- use mkrel
- fix rpmlint warning

* Sun Dec 05 2004 Michael Scherer <misc@mandrake.org> 0.4-3mdk
- Rebuild for new python

* Fri Dec 03 2004 Michael Scherer <misc@mandrake.org> 0.4-2mdk
- Rebuild

